Bug 254046 - ifup-wireless ups b43 network interface before setting mode
ifup-wireless ups b43 network interface before setting mode
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-23 15:48 EDT by Lubomir Kundrak
Modified: 2014-03-16 23:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-08 14:06:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
ifup-wireless.diff (601 bytes, patch)
2007-10-08 10:37 EDT, John W. Linville
no flags Details | Diff

  None (edit)
Description Lubomir Kundrak 2007-08-23 15:48:05 EDT
Description of problem:

/etc/sysconfig/network-scripts/ifup-wireless contain the following lines:

     33 # Set link up (some cards require this.)
     34 /sbin/ip link set dev ${DEVICE} up

My network card (Broadcom Corporation BCM4306 802.11b/g Wireless LAN Controller)
with b43 driver needs the exact opposite, attempt to change mode is unsuccessful
when the interface is up:

# ifup wlan0
Error for wireless request "Set Mode" (8B06) :
    SET failed on device wlan0 ; Device or resource busy.
# ifconfig wlan0 down
# iwconfig wlan0 mode Master
# ifconfig wlan0 up
#

Version-Release number of selected component (if applicable):

initscripts-8.55-1
Comment 1 Lubomir Kundrak 2007-08-27 11:42:11 EDT
16:09 <linville> if anything, I think a driver should have to be down before
changing mode (the way mac80211-based drivers require it)
16:09 <linville> I'd be curious to know which ones need to be up
Comment 2 Bill Nottingham 2007-08-29 13:44:35 EDT
I really don't care, I just am NOT going to hardcode 'do X for driver A, Y for
driver B'.

See bug 228253.
Comment 3 Lubomir Kundrak 2007-08-30 06:24:58 EDT
Bill: maybe set mode, then link up, and then set essid?
Comment 4 Lubomir Kundrak 2007-10-08 10:27:35 EDT
Ping on this.
Comment 5 John W. Linville 2007-10-08 10:36:38 EDT
Comment 3 sounds sane.  FWIW, I would consider any driver that requires ifup 
before changing the mode to be a bug.

OTOH, nearly every wireless bug I have mentions the 'Error for wireless 
request "Set Mode" (8B06)' message...
Comment 6 John W. Linville 2007-10-08 10:37:19 EDT
Created attachment 219791 [details]
ifup-wireless.diff
Comment 7 Bill Nottingham 2007-10-08 14:06:15 EDT
Added in CVS, will be in 8.59-1.

Note You need to log in before you can comment on or make changes to this bug.